﻿
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using Jiguang.JPush.Model;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.IFramework
{
    /// <summary>
    /// 多对多 -- 极光推送服务
    /// </summary>
    public interface IJGPushService
    {
        /// <summary>
        /// 1咨询, 2患教, 3音视频, 4满意度调查, 5预约提交, 6预约取消, 7互动, 8APP更新, 9报告SignOff, 20复诊开药APP消息列表最新，21视频问诊APP消息列表最新, 25我的账单红点,30统一带跳转的,31诊前15分钟弹框, 32待支付订单提醒 35七陌回复提醒 38疫苗预约提醒
        /// </summary>
        /// <param name="patId"></param>
        /// <param name="jgPushType"></param>
        /// <param name="title"></param>
        /// <param name="content"></param>
        /// <param name="url"></param>
        /// <returns></returns>
        bool PushMessageToUsers(int patId, string jgPushType, string title, string content, string url = "");
    }
}
